Bug 273501 - Replication monitor CGI seems misconfigured
Replication monitor CGI seems misconfigured
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Admin (Show other bugs)
1.1.0
All All
high Severity low
: ---
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
:
Depends On:
Blocks: 240316 FDS1.1.0
  Show dependency treegraph
 
Reported: 2007-08-31 20:24 EDT by Noriko Hosoi
Modified: 2015-12-07 12:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 12:00:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cvs diffs (ldapserver) (930 bytes, patch)
2007-09-04 20:54 EDT, Noriko Hosoi
no flags Details | Diff
cvs diffs (adminserver) (2.01 KB, patch)
2007-09-04 21:00 EDT, Noriko Hosoi
no flags Details | Diff
adminserver/admserv/cgi-src40/repl-monitor-cgi.pl.in (2.79 KB, text/plain)
2007-09-04 21:03 EDT, Noriko Hosoi
no flags Details
cvs commit message (comment #1-3) (2.66 KB, text/plain)
2007-09-05 12:47 EDT, Noriko Hosoi
no flags Details

  None (edit)
Description Noriko Hosoi 2007-08-31 20:24:54 EDT
Description of problem:

From the Admin Express:
http://<host>:<port>/admin-serv/tasks/configuration/HTMLAdmin?op=index

Click "Replication Status"

Specify "Configuration file:"

Click "OK"

Result: http://<host>:<port>/admin-serv/tasks/configuration/HTMLAdmin?op=index
Not Found
The requested URL /admin-serv/tasks/configuration/repl-monitor-cgi.pl was not
found on this server.
Comment 1 Noriko Hosoi 2007-09-04 20:54:59 EDT
Created attachment 186751 [details]
cvs diffs (ldapserver)

Modified File: ldapserver/ldap/admin/src/scripts/repl-monitor.pl

Deleted File: ldapserver/ldap/admin/src/scripts/template-repl-monitor-cgi.pl.in


Description: 1) get_replica: missing return value for the success case
2) support the case "shadowport" is not passed
Comment 2 Noriko Hosoi 2007-09-04 21:00:04 EDT
Created attachment 186761 [details]
cvs diffs (adminserver)

Modified Files: 
 Makefile.am
 admserv/schema/ldif/21astasks.ldif.tmpl
 admserv/cgi-src40/monreplication.properties

New File: ./admserv/cgi-src40/repl-monitor-cgi.pl.in  (attaching next)

Description: 1) added repl-monitor-cgi.pl(.in)
2) removed "perl?" from nsExecRef, with which CGI expects "perl" is in the
cgi-bin directory
Comment 3 Noriko Hosoi 2007-09-04 21:03:04 EDT
Created attachment 186771 [details]
adminserver/admserv/cgi-src40/repl-monitor-cgi.pl.in

New file: adminserver/admserv/cgi-src40/repl-monitor-cgi.pl.in

Description: it's moved from ldapserver/ldap/admin/src/scripts, and renamed
from template-repl-monitor-cgi.pl to repl-monitor-cgi.pl.
Comment 4 Noriko Hosoi 2007-09-04 21:11:35 EDT
Sample repl monitor sample1: (all the replicas share the same replication
manager/password)
------------------------------------------
[connection]
*:*:cn=repl manager,cn=config:my_password:
------------------------------------------

Sample repl monitor sample2: (all the replicas except one on host1 share the
same replication manager/password
------------------------------------------
[connection]
*:*:cn=repl manager,cn=config:my_password:
host1:*:cn=repl manager,cn=config:your_password:
------------------------------------------

Perhaps, this file can be automatically generated/updated when the replication
agreement is created?  Also, repl-monitor.pl could display/point a default path
refering this default config file.
Comment 5 Noriko Hosoi 2007-09-05 12:32:14 EDT
(In reply to comment #4)
> Sample repl monitor sample1: 
Should be read ...
Sample repl monitor config file 1:
:p
Comment 6 Noriko Hosoi 2007-09-05 12:47:38 EDT
Created attachment 187711 [details]
cvs commit message (comment #1-3)

Reviewed by Rich (Thank you!!)

Checked in into HEAD.

Note You need to log in before you can comment on or make changes to this bug.